xzoom(1)

NAME
xzoom - magnify part of X display, with real-time updates

SYNOPSIS
xzoom

xzoom [args]

xzoom [-x ] [-y ] [-mag magnification]
      [-geometry 'width size' x 'height size']

DESCRIPTION
Xzoom displays in its window a magnified area of the X11 display. The user can interactively change the zoomed area, the window size, magnification (optionally different magnification for X and Y axes) or rotate or mirror the image.

Use commands to change rotation, zoom or mirror the image.

OPTIONS

-d <displayname>, -display <displayname>
    The name of the display to use.

-mag <magnification [ magnification ]>
    What magnification to use. If two number arguments are supplied the first is used for X magnications and the second is used for Y magnification. Magnification should be greater than 0.

-geometry <geometry>
    Size and position xzoom's window.

-source <geometry>
    Size and position the initial source area which is magnified. The dimensions of this area are multiplied by the magnification to get the size of xzoom's window. If these dimensions are given separately (by use of -geometry) then an error is reported.

-x  Mirror horizontally.

-y  Mirror vertically.

-xy Exchange X and Y axes before any magnification is performed.

COMMANDS

+   Increase magnification value by 1.

-   Decrease magnification value by 1.

x   Mirror the display image horizontally.

y   Mirror the display image vertically.

z   Rotate 90 degrees counter-clockwise.

w   Next '+' or '-' only change width scaling.

h   Next '+' or '-' only change height scaling.

d   Sets the delay between frame updates. Built-in delays are 200, 100, 50, 10 and 0 ms.

q   Quit.

Arrow keys
    Scroll the zoomed area 1 pixel in the direction of the arrow. if the control key is pressed the zoomed area will scroll 10 pixels.

Mouse buttons
    To set the location of the magnified area, click the left mouse button inside xzoom's window and then move it (keep the button pressed) to the place which you want to see magnified.

Xzoom allow you to resize it's window at any time.

When xzoom is iconified it simply waits to get deiconified.

EXAMPLES

xzoom -mag 5
    # Open xzoom with magnification 5.

xzoom -mag 2 -geometry 800x400
    # Open xzoom with magnification 2 and windows size 800x400.

xzoom -x
    # Open display flipping right and left.

SEE ALSO
xmag(1), xzoom help page.

AUTHORS
xzoom was written by Itai Nahshon.

This manual page was written by Daniel Lenharo de Souza <lenharo@debian.org> for the Debian project (but may be used by others).